Skip to content

Licenses

All operations require authentication.

15 operationsv1/license/office · /license/officePrepaid
Agent setup

List usersProduction

GET
/1.0/license/office/{serviceName}/user

Returns the activation emails of the users of the tenant. Filter them by activationEmail, firstName, lastName or licences.

Path parameters

serviceName
required
string

Service name

Query parameters

activationEmail
string
—
firstName
string
—
lastName
string
—
licences
LicenseEnum[]
—
ValuesofficeBusinessofficeProPlus

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a userProduction

GET
/1.0/license/office/{serviceName}/user/{activationEmail}

Returns the names, activation email, licenses and state of the user. isVirtual tells whether it is a user slot or a real user.

Path parameters

activationEmail
required
string

Activation email

serviceName
required
string

Service name

Response

200OfficeUserNativesuccessful operation
activationEmail
read-only
string

Email used to activate Microsoft Office

deleteAtExpiration
read-only
boolean

Whether or not this user slot will be resigned at the next renew period

firstName
read-only
string

User's first name

isVirtual
read-only
boolean

Specify if the user is actually a user slot (configureme) or a real user

lastName
read-only
string

User's last name

licences
read-only
LicenseEnum[]

Licenses attributed to the user

ValuesofficeBusinessofficeProPlus
status
read-only
UserStateEnum

User state

Valuescreatingdeletingok
taskPendingId
read-only
integer

Pending task id

usageLocation
read-only
CountryEnum

ISO 3166-1 alpha-2 country code where the user is using Office365 services

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw

Example uses activationEmail = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user/{activationEmail} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activationEmail": "string", "deleteAtExpiration": true, "firstName": "string", "isVirtual": true, "lastName": "string", "licences": [ "officeBusiness" ], "status": "creating", "taskPendingId": 0, "usageLocation": "ac"}

Create a userProduction

POST
/1.0/license/office/{serviceName}/user

Creates a user from a login on a domain of the tenant, with a license, optional first and last names and a usage location, and returns the task.

Path parameters

serviceName
required
string

Service name

Request body (required)

domain
required
string

Office domain

firstName
string

User's first name

lastName
string

User's last name

licence
LicenseEnum

Licenses attributed to the user

ValuesofficeBusinessofficeProPlus
login
required
string

Account login

usageLocation
CountryEnum

ISO 3166-1 alpha-2 country code where the user is using Office365 services

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task's unique identifier

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update a userProduction

PUT
/1.0/license/office/{serviceName}/user/{activationEmail}

Updates the first name, last name and activation email of the user, and deleteAtExpiration, which ends the user slot at the next renewal.

Path parameters

activationEmail
required
string

Activation email

serviceName
required
string

Service name

Request body (required)

activationEmail
string

Email used to activate Microsoft Office

deleteAtExpiration
boolean

Whether or not this user slot will be resigned at the next renew period

firstName
string

User's first name

lastName
string

User's last name

usageLocation
CountryEnum

ISO 3166-1 alpha-2 country code where the user is using Office365 services

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw

Response

200—successful operation

Example uses activationEmail = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user/{activationEmail} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a userProduction

DELETE
/1.0/license/office/{serviceName}/user/{activationEmail}

Deletes the user and returns the task.

Path parameters

activationEmail
required
string

Activation email

serviceName
required
string

Service name

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task's unique identifier

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses activationEmail = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user/{activationEmail} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Change a user passwordProduction

POST
/1.0/license/office/{serviceName}/user/{activationEmail}/changePassword

Changes the password of the user and returns the task. Leave password empty to receive a generated password by email. Set shouldSendMail to send the new password to notifyEmail, the admin contact email by default.

Path parameters

activationEmail
required
string

Activation email

serviceName
required
string

Service name

Request body (required)

notifyEmail
string

Email to send the new password to. Default is nicAdmin's email

password
stringpassword

New password or empty to receive a generated password by email

shouldSendMail
required
boolean

Specify whether the new password should be sent via email or not

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task's unique identifier

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses activationEmail = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/user/{activationEmail}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List prepaid usersAlpha

GET
/1.0/license/officePrepaid

Returns the service names of the prepaid users.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a prepaid userAlpha

GET
/1.0/license/officePrepaid/{serviceName}

Returns the names, activation email, licenses and state of the prepaid user, and the service names of the user and of its tenant. isVirtual tells whether it is a user slot or a real user.

Path parameters

serviceName
required
string

Service name

Response

200OfficeUserNativeWithIAMsuccessful operation
activationEmail
read-only
string

Email used to activate Microsoft Office

firstName
read-only
string

User's first name

iam
read-only
ResourceMetadata

IAM resource metadata

isVirtual
read-only
boolean

Specify if the user is actually a user slot (configureme) or a real user

lastName
read-only
string

User's last name

licences
read-only
LicenseEnum[]

Licenses attributed to the user

ValuesofficeBusinessofficeProPlus
serviceName
read-only
string

User service name, used in invoices

status
read-only
UserStateEnum

User state

Valuescreatingdeletingoksuspendedunspending
taskPendingId
read-only
integer

Pending task id

tenantServiceName
read-only
string

User's tenant service name, used in invoices

usageLocation
read-only
CountryEnum

ISO 3166-1 alpha-2 country code where the user is using Office365 services

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activationEmail": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isVirtual": true, "lastName": "string", "licences": [ "officeBusiness" ], "serviceName": "string", "status": "creating", "taskPendingId": 0, "tenantServiceName": "string", "usageLocation": "ac"}

Update a prepaid userAlpha

PUT
/1.0/license/officePrepaid/{serviceName}

Updates the first name, last name and activation email of the prepaid user.

Path parameters

serviceName
required
string

Service name

Request body (required)

activationEmail
string

Email used to activate Microsoft Office

firstName
string

User's first name

lastName
string

User's last name

usageLocation
CountryEnum

ISO 3166-1 alpha-2 country code where the user is using Office365 services

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change a prepaid user passwordAlpha

POST
/1.0/license/officePrepaid/{serviceName}/changePassword

Changes the password of the prepaid user and returns the task. Leave password empty to receive a generated password by email. Set shouldSendMail to send the new password to notifyEmail, the admin contact email by default.

Path parameters

serviceName
required
string

Service name

Request body (required)

notifyEmail
string

Email to send the new password to. Default is nicAdmin's email

password
stringpassword

New password or empty to receive a generated password by email

shouldSendMail
required
boolean

Specify if the new password should be send via email or not

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Get service informationBeta

GET
/1.0/license/officePrepaid/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The service name of your office account

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationBeta

PUT
/1.0/license/officePrepaid/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The service name of your office account

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Unconfigure a prepaid userProduction

POST
/1.0/license/officePrepaid/{serviceName}/unconfigure

Removes the configuration of the prepaid user and turns it back into an unassigned license slot, and returns the task. The prepaid license is kept.

Path parameters

serviceName
required
string

Service name

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/unconfigure \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationBeta

POST
/1.0/license/officePrepaid/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The service name of your office account

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationBeta

POST
/1.0/license/officePrepaid/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The service name of your office account

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"